[arch-commits] Commit in systemd/repos (8 files)

Dave Reisner dreisner at archlinux.org
Thu Jan 12 03:32:19 UTC 2012


    Date: Wednesday, January 11, 2012 @ 22:32:19
  Author: dreisner
Revision: 146498

archrelease: copy trunk to testing-i686, testing-x86_64

Added:
  systemd/repos/testing-i686/
  systemd/repos/testing-i686/PKGBUILD
    (from rev 146497, systemd/trunk/PKGBUILD)
  systemd/repos/testing-i686/os-release
    (from rev 146497, systemd/trunk/os-release)
  systemd/repos/testing-i686/systemd.install
    (from rev 146497, systemd/trunk/systemd.install)
  systemd/repos/testing-x86_64/
  systemd/repos/testing-x86_64/PKGBUILD
    (from rev 146497, systemd/trunk/PKGBUILD)
  systemd/repos/testing-x86_64/os-release
    (from rev 146497, systemd/trunk/os-release)
  systemd/repos/testing-x86_64/systemd.install
    (from rev 146497, systemd/trunk/systemd.install)

--------------------------------+
 testing-i686/PKGBUILD          |   81 +++++++++++++++++++++++++++++++++++++++
 testing-i686/os-release        |    5 ++
 testing-i686/systemd.install   |   53 +++++++++++++++++++++++++
 testing-x86_64/PKGBUILD        |   81 +++++++++++++++++++++++++++++++++++++++
 testing-x86_64/os-release      |    5 ++
 testing-x86_64/systemd.install |   53 +++++++++++++++++++++++++
 6 files changed, 278 insertions(+)

Copied: systemd/repos/testing-i686/PKGBUILD (from rev 146497, systemd/trunk/PKGBUILD)
===================================================================
--- testing-i686/PKGBUILD	                        (rev 0)
+++ testing-i686/PKGBUILD	2012-01-12 03:32:19 UTC (rev 146498)
@@ -0,0 +1,81 @@
+# $Id$
+# Maintainer: Dave Reisner <dreisner at archlinux.org>
+
+pkgname=systemd
+pkgver=38
+pkgrel=1
+pkgdesc="Session and Startup manager"
+arch=('i686' 'x86_64')
+url="http://www.freedesktop.org/wiki/Software/systemd"
+license=('GPL2')
+depends=('dbus-core' 'kbd' 'libcap' 'util-linux>=2.19' 'udev>=172' 'xz')
+makedepends=('acl' 'gperf' 'cryptsetup' 'intltool' 'linux-api-headers')
+optdepends=('cryptsetup: required for encrypted block devices'
+            'dbus-python: systemd-analyze'
+            'initscripts: legacy support for hostname and vconsole setup'
+            'initscripts-systemd: native boot and initialization scripts'
+            'python2-cairo: systemd-analyze'
+            'systemd-arch-units: collection of native unit files for Arch daemon/init scripts')
+groups=('systemd')
+options=('!libtool')
+backup=(etc/dbus-1/system.d/org.freedesktop.systemd1.conf
+        etc/dbus-1/system.d/org.freedesktop.hostname1.conf
+        etc/dbus-1/system.d/org.freedesktop.login1.conf
+        etc/dbus-1/system.d/org.freedesktop.locale1.conf
+        etc/dbus-1/system.d/org.freedesktop.timedate1.conf
+        etc/systemd/system.conf
+        etc/systemd/user.conf
+        etc/systemd/systemd-logind.conf)
+install=systemd.install
+source=("http://www.freedesktop.org/software/$pkgname/$pkgname-$pkgver.tar.xz"
+        "os-release")
+md5sums=('68c66dce5a28c0efd7c210af5d11efed'
+         '752636def0db3c03f121f8b4f44a63cd')
+
+build() {
+  cd "$pkgname-$pkgver"
+
+  # Don't unset locale in getty
+  # https://bugzilla.redhat.com/show_bug.cgi?id=663900
+  sed -i -e '/^Environ.*LANG/s/^/#/' \
+         -e '/^ExecStart/s/agetty/& -8/' units/getty at .service.m4
+
+
+  ./configure --sysconfdir=/etc \
+              --libexecdir=/usr/lib \
+              --libdir=/usr/lib \
+              --localstatedir=/var \
+              --with-rootprefix= \
+              --with-rootlibdir=/lib
+
+  make
+
+  # fix .so links in manpages
+  sed -i 's|\.so halt\.8|.so man8/systemd.halt.8|' man/{halt,poweroff}.8
+  sed -i 's|\.so systemd\.1|.so man1/systemd.1|' man/init.1
+}
+
+package() {
+  cd "$pkgname-$pkgver"
+
+  make DESTDIR="$pkgdir" install
+
+  install -Dm644 "$srcdir/os-release" "$pkgdir/etc/os-release"
+  printf "d /run/console 755 root root\n" > "$pkgdir/usr/lib/tmpfiles.d/console.conf"
+
+  # fix systemd-analyze for python2
+  sed -i '1s/python$/python2/' "$pkgdir/usr/bin/systemd-analyze"
+
+  # rename man pages to avoid conflicts with sysvinit and initscripts
+  cd "$pkgdir/usr/share/man"
+
+  manpages=(man8/{telinit,halt,reboot,poweroff,runlevel,shutdown}.8
+            man5/{hostname,{vconsole,locale}.conf}.5)
+
+  for manpage in "${manpages[@]}"; do
+    IFS='/' read section page <<< "$manpage"
+    mv "$manpage" "$section/systemd.$page"
+  done
+}
+
+# vim: ft=sh syn=sh et

Copied: systemd/repos/testing-i686/os-release (from rev 146497, systemd/trunk/os-release)
===================================================================
--- testing-i686/os-release	                        (rev 0)
+++ testing-i686/os-release	2012-01-12 03:32:19 UTC (rev 146498)
@@ -0,0 +1,5 @@
+NAME="Arch Linux"
+ID=arch
+PRETTY_NAME="Arch Linux"
+ANSI_COLOR="1;36"
+

Copied: systemd/repos/testing-i686/systemd.install (from rev 146497, systemd/trunk/systemd.install)
===================================================================
--- testing-i686/systemd.install	                        (rev 0)
+++ testing-i686/systemd.install	2012-01-12 03:32:19 UTC (rev 146498)
@@ -0,0 +1,53 @@
+#!/bin/sh
+
+checkgroups() {
+  if ! usr/bin/getent group lock >/dev/null; then
+    usr/sbin/groupadd -g 54 lock
+  fi
+}
+
+sd_booted() {
+  [ -e sys/fs/cgroups/systemd ]
+}
+
+post_install() {
+  checkgroups
+
+  if [ ! -f etc/machine-id ]; then
+    bin/systemd-machine-id-setup
+  fi
+
+  echo "systemd has been installed to /bin/systemd. Please ensure you append"
+  echo "init=/bin/systemd to your kernel command line in your bootloader."
+}
+
+post_upgrade() {
+  checkgroups
+
+  if [ ! -f etc/machine-id ]; then
+    bin/systemd-machine-id-setup
+  fi
+
+  if sd_booted; then
+    bin/systemctl daemon-reexec >/dev/null
+  fi
+
+  newpkgver=${1%-*}
+  oldpkgver=${2%-*}
+
+  # catch v31 need for restarting systemd-logind.service
+  if [ "$newpkgver" -ge 31 ] && [ "$oldpkgver" -lt 31 ]; then
+    # but only if systemd is running
+    if sd_booted; then
+      bin/systemctl try-restart systemd-logind.service
+    fi
+  fi
+}
+
+post_remove() {
+  if usr/bin/getent group lock >/dev/null; then
+    usr/sbin/groupdel lock
+  fi
+}
+
+# vim:set ts=2 sw=2 et:

Copied: systemd/repos/testing-x86_64/PKGBUILD (from rev 146497, systemd/trunk/PKGBUILD)
===================================================================
--- testing-x86_64/PKGBUILD	                        (rev 0)
+++ testing-x86_64/PKGBUILD	2012-01-12 03:32:19 UTC (rev 146498)
@@ -0,0 +1,81 @@
+# $Id$
+# Maintainer: Dave Reisner <dreisner at archlinux.org>
+
+pkgname=systemd
+pkgver=38
+pkgrel=1
+pkgdesc="Session and Startup manager"
+arch=('i686' 'x86_64')
+url="http://www.freedesktop.org/wiki/Software/systemd"
+license=('GPL2')
+depends=('dbus-core' 'kbd' 'libcap' 'util-linux>=2.19' 'udev>=172' 'xz')
+makedepends=('acl' 'gperf' 'cryptsetup' 'intltool' 'linux-api-headers')
+optdepends=('cryptsetup: required for encrypted block devices'
+            'dbus-python: systemd-analyze'
+            'initscripts: legacy support for hostname and vconsole setup'
+            'initscripts-systemd: native boot and initialization scripts'
+            'python2-cairo: systemd-analyze'
+            'systemd-arch-units: collection of native unit files for Arch daemon/init scripts')
+groups=('systemd')
+options=('!libtool')
+backup=(etc/dbus-1/system.d/org.freedesktop.systemd1.conf
+        etc/dbus-1/system.d/org.freedesktop.hostname1.conf
+        etc/dbus-1/system.d/org.freedesktop.login1.conf
+        etc/dbus-1/system.d/org.freedesktop.locale1.conf
+        etc/dbus-1/system.d/org.freedesktop.timedate1.conf
+        etc/systemd/system.conf
+        etc/systemd/user.conf
+        etc/systemd/systemd-logind.conf)
+install=systemd.install
+source=("http://www.freedesktop.org/software/$pkgname/$pkgname-$pkgver.tar.xz"
+        "os-release")
+md5sums=('68c66dce5a28c0efd7c210af5d11efed'
+         '752636def0db3c03f121f8b4f44a63cd')
+
+build() {
+  cd "$pkgname-$pkgver"
+
+  # Don't unset locale in getty
+  # https://bugzilla.redhat.com/show_bug.cgi?id=663900
+  sed -i -e '/^Environ.*LANG/s/^/#/' \
+         -e '/^ExecStart/s/agetty/& -8/' units/getty at .service.m4
+
+
+  ./configure --sysconfdir=/etc \
+              --libexecdir=/usr/lib \
+              --libdir=/usr/lib \
+              --localstatedir=/var \
+              --with-rootprefix= \
+              --with-rootlibdir=/lib
+
+  make
+
+  # fix .so links in manpages
+  sed -i 's|\.so halt\.8|.so man8/systemd.halt.8|' man/{halt,poweroff}.8
+  sed -i 's|\.so systemd\.1|.so man1/systemd.1|' man/init.1
+}
+
+package() {
+  cd "$pkgname-$pkgver"
+
+  make DESTDIR="$pkgdir" install
+
+  install -Dm644 "$srcdir/os-release" "$pkgdir/etc/os-release"
+  printf "d /run/console 755 root root\n" > "$pkgdir/usr/lib/tmpfiles.d/console.conf"
+
+  # fix systemd-analyze for python2
+  sed -i '1s/python$/python2/' "$pkgdir/usr/bin/systemd-analyze"
+
+  # rename man pages to avoid conflicts with sysvinit and initscripts
+  cd "$pkgdir/usr/share/man"
+
+  manpages=(man8/{telinit,halt,reboot,poweroff,runlevel,shutdown}.8
+            man5/{hostname,{vconsole,locale}.conf}.5)
+
+  for manpage in "${manpages[@]}"; do
+    IFS='/' read section page <<< "$manpage"
+    mv "$manpage" "$section/systemd.$page"
+  done
+}
+
+# vim: ft=sh syn=sh et

Copied: systemd/repos/testing-x86_64/os-release (from rev 146497, systemd/trunk/os-release)
===================================================================
--- testing-x86_64/os-release	                        (rev 0)
+++ testing-x86_64/os-release	2012-01-12 03:32:19 UTC (rev 146498)
@@ -0,0 +1,5 @@
+NAME="Arch Linux"
+ID=arch
+PRETTY_NAME="Arch Linux"
+ANSI_COLOR="1;36"
+

Copied: systemd/repos/testing-x86_64/systemd.install (from rev 146497, systemd/trunk/systemd.install)
===================================================================
--- testing-x86_64/systemd.install	                        (rev 0)
+++ testing-x86_64/systemd.install	2012-01-12 03:32:19 UTC (rev 146498)
@@ -0,0 +1,53 @@
+#!/bin/sh
+
+checkgroups() {
+  if ! usr/bin/getent group lock >/dev/null; then
+    usr/sbin/groupadd -g 54 lock
+  fi
+}
+
+sd_booted() {
+  [ -e sys/fs/cgroups/systemd ]
+}
+
+post_install() {
+  checkgroups
+
+  if [ ! -f etc/machine-id ]; then
+    bin/systemd-machine-id-setup
+  fi
+
+  echo "systemd has been installed to /bin/systemd. Please ensure you append"
+  echo "init=/bin/systemd to your kernel command line in your bootloader."
+}
+
+post_upgrade() {
+  checkgroups
+
+  if [ ! -f etc/machine-id ]; then
+    bin/systemd-machine-id-setup
+  fi
+
+  if sd_booted; then
+    bin/systemctl daemon-reexec >/dev/null
+  fi
+
+  newpkgver=${1%-*}
+  oldpkgver=${2%-*}
+
+  # catch v31 need for restarting systemd-logind.service
+  if [ "$newpkgver" -ge 31 ] && [ "$oldpkgver" -lt 31 ]; then
+    # but only if systemd is running
+    if sd_booted; then
+      bin/systemctl try-restart systemd-logind.service
+    fi
+  fi
+}
+
+post_remove() {
+  if usr/bin/getent group lock >/dev/null; then
+    usr/sbin/groupdel lock
+  fi
+}
+
+# vim:set ts=2 sw=2 et:




More information about the arch-commits mailing list